/***
 *  Copyright (C) 2009 by Valeriy Fedotov
 *
 *  This file is a part of QAquarelle project.
 *
 *  QAquarelle is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  QAquarelle is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with QAquarelle.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#ifndef CURVEEDIT_H
#define CURVEEDIT_H

#include <QWidget>
#include "qhasmath.h"


class CurveEdit : public QWidget {
    Q_OBJECT

public:
    CurveEdit (QWidget *parent = NULL, ISpline * source = NULL);
    ~CurveEdit();

    void setPoints(QList <QPointF> pointList);
    QList <QPointF> points();

    void setSource (ISpline * source);

protected:
    void paintEvent ( QPaintEvent * event );
    void mousePressEvent ( QMouseEvent * event );
    void mouseMoveEvent ( QMouseEvent * event );
    void mouseReleaseEvent ( QMouseEvent * event );

private:
    QList <QPointF> m_points;
    ISpline       * m_source;

    bool m_pressed;
    int m_movingPointIndex;
};

#endif // CURVEEDIT_H
