/* Qaquarelle
 * Copyright (C) 2009 Vasiliy Makarov <drmoriarty.0@gmail.com>
 *
 * This is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this software; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef PAINTINGSTYLE_H
#define PAINTINGSTYLE_H

#include <QtGui>
#include "iPaintingStyle.h"
#include "iPigmentDescription.h"
#include "ui_paintingstyle.h"


typedef struct _PaintingStyleSettings {
	QString name;
	ePAINTINGSTYLE_PRESET preset;
	_PaintingStyleSettings(QString n, ePAINTINGSTYLE_PRESET p);
} PaintingStyleSettings;

class PaintingStyle: public QWidget
{
	Q_OBJECT
 public:
	PaintingStyle(QWidget *parent = 0);
	~PaintingStyle();

    void setPaintingStyle (IPaintingStyle * paint);

 public slots:
	void setDryingSpeed(float);
	void setOpacity(float);
	void setStainingPower(float);
	void setViscosity(float);
	void setTemplate(int);
	// Disable selector for non-brush instruments
	void setBrushGroup(bool);

    void showCustomFrame(bool);

    /**
     * [castedflake] Notify the widget that the
     * painting style has been changed globally.
     */
    void sync (ePAINTINGSTYLE_PRESET preset);

 signals:
	void paintingStyleChanged();

protected:
    virtual void moveEvent (QMoveEvent * event);

 private:
    Ui::PaintingStyle ui;
    IPaintingStyle      * m_PaintType;
    int old_style;
    bool lock;
};

#endif //PAINTINGSTYLE_H
