/* Qaquarelle
 * Copyright (C) 2009 Vasiliy Makarov <drmoriarty.0@gmail.com>
 *
 * This is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this software; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include "pressurebox.h"

PressureBox::PressureBox(QWidget *parent) : QWidget(parent)
{
  label = new QLabel("", this);
  QBoxLayout *l = new QBoxLayout(QBoxLayout::TopToBottom, this);
  l->addWidget(label);
  setPressure (0.0f);
}

void PressureBox::setPressure(float p)
{
  _pressure = p;
  label->setText(QString("%1").arg(QString::number((int)(_pressure*100))));
}

float PressureBox::pressure()
{
  return _pressure;
}

void PressureBox::tabletEvent(QTabletEvent *event)
{
  if(_pressure < event->pressure()) {
    _pressure = event->pressure();
    label->setText(QString("%1").arg(QString::number((int)(_pressure*100))));
  }
}
